> For the complete documentation index, see [llms.txt](https://docs.keeper.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.keeper.io/keeperpam/commander-sdk/keeper-commander-sdks/sdk-command-reference/enterprise-management-commands/transfer-user-commands.md).

# Transfer User Commands

### **Transfer User Command**

Transfer user account and vault to another user

<details>

<summary>Dotnet CLI</summary>

**Command:** `transfer-user`

**Usage:**

```bash
transfer-user [options] <from-user> <target-user>
```

**Options:**

* `-f, --force` - Force reload enterprise data

**Note:** This transfers all vault data from the source user to the target user. The source user will be locked after transfer.

**Example:**

```
transfer-user olduser@example.com newuser@example.com
transfer-user UserID123 UserID456
```

</details>

<details>

<summary>DotNet SDK</summary>

**Function:** `TransferUserAccount`

```csharp
 public async Task<AccountTransferResult> TransferUserAccount(IRoleData roleData, EnterpriseUser fromUser,
            EnterpriseUser targetUser)
```

**Example:**

```csharp
var result = await context.EnterpriseData.TransferUserAccount(context.RoleManagement, fromUser, targetUser);
```

</details>

<details>

<summary>PowerCommander</summary>

**Command:** `Move-KeeperEnterpriseUser`

**Usage:**

{% code overflow="wrap" %}

```
Move-KeeperEnterpriseUser -FromUser "departing@company.com" -TargetUser "replacement@company.com"
transfer-user "departing@company.com" "replacement@company.com" -Force
```

{% endcode %}

**Examples:**

* `FromUser`: "Email or enterprise user ID of the source user whose vault will be transferred"
* `TargetUser`: "Email or enterprise user ID of the destination user who will receive the vault"
* `Force`: Documented as "Skip confirmation prompt in non-interactive sessions"

**Parameters:**

```powershell
Move-KeeperEnterpriseUser [-Email] <string> [-NodeId] <long> [<CommonParameters>]
```

</details>

<details>

<summary>Python CLI</summary>

**Command:** `transfer-user`

**Parameters**:

`email` - User account email/ID (list of strings) or File containing account mappings. Use @filename to indicate using mapping file. (required)

**Options**:

* `-f`, `--force` - Do not prompt for confirmation
* `--target-user` - Email to transfer user(s) to

**File Input Examples**

```
# Lines starting with #, ;, or - are comments
john.doe@company.com -> admin@company.com
jane.smith@company.com <- admin@company.com  
old.user@company.com = new.admin@company.com
user1@company.com user2@company.com
```

**Warning:** This action cannot be undone. The source user accounts will be locked during the transfer process.

<pre><code><strong>My Vault> transfer-user keeperuser1@keepersecurity.com --target-user recipient@keepersecurity.com
</strong></code></pre>

</details>

<details>

<summary>Python SDK</summary>

**Function:** `transfer_account`

```
account_transfer.AccountTransferManager()
transfer_manager.transfer_account(
                        source_user, ##from user
                        target_user, ##to user
                        target_keys[target_user]
                    )
```

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.keeper.io/keeperpam/commander-sdk/keeper-commander-sdks/sdk-command-reference/enterprise-management-commands/transfer-user-commands.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
